Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039700
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2018-11-27 11:072018-12-13 11:59
ReportermarvintmView Statuspublic 
Assigned Togorka_gil 
PrioritynormalResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision49ec9f8d03a5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039700: API Change: Terminal Log project changes the size of database column OBMOBC_LOGCLIENT.LOGLEVEL

DescriptionAs part of the Terminal Log project, the column OBMOBC_LOGCLIENT.LOGLEVEL has been converted into a RefList. Due to this change, the size of the column had to be decreased from 255 to 60.

We believe that the risk of this change is very low, as this column was never meant to be extensible, and our APIs ensure that the size of the existing data should still be inside the allowed length.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108154)
hgbot (developer)
2018-11-28 16:05

Repository: retail/api-checks-retail
Changeset: 1553f2a75863560e343f54179ead8494175c1d46
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Wed Nov 28 16:04:48 2018 +0100
URL: http://code.openbravo.com/retail/api-checks-retail/rev/1553f2a75863560e343f54179ead8494175c1d46 [^]

[TerminalLog] Fixes issue 39700: logclient.loglevel now is a reflist

---
M model/modules/org.openbravo.mobile.core/src-db/database/model/tables/OBMOBC_LOGCLIENT.xml
---
(0108272)
marvintm (developer)
2018-12-05 11:20

http://wiki.openbravo.com/wiki/Retail:API_changes#RR19Q1 [^]
(0108392)
hgbot (developer)
2018-12-11 15:25

Repository: retail/api-checks-retail
Changeset: 49ec9f8d03a5a77f5dd2de3cd7ffac4a35403a2e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 11 15:24:29 2018 +0100
URL: http://code.openbravo.com/retail/api-checks-retail/rev/49ec9f8d03a5a77f5dd2de3cd7ffac4a35403a2e [^]

[TerminalLog] Fixes issue 39700: logclient.loglevel now is a reflist

---
M model/modules/org.openbravo.mobile.core/src-db/database/model/tables/OBMOBC_LOGCLIENT.xml
---

- Issue History
Date Modified Username Field Change
2018-11-27 11:07 marvintm New Issue
2018-11-27 11:07 marvintm Assigned To => Retail
2018-11-27 11:07 marvintm Triggers an Emergency Pack => No
2018-11-28 15:58 gorka_gil Assigned To Retail => gorka_gil
2018-11-28 16:05 hgbot Checkin
2018-11-28 16:05 hgbot Note Added: 0108154
2018-11-28 16:05 hgbot Status new => resolved
2018-11-28 16:05 hgbot Resolution open => fixed
2018-11-28 16:05 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/api-checks-retail/rev/1553f2a75863560e343f54179ead8494175c1d46 [^]
2018-12-05 11:20 marvintm Review Assigned To => marvintm
2018-12-05 11:20 marvintm Note Added: 0108272
2018-12-05 11:20 marvintm Status resolved => closed
2018-12-05 11:20 marvintm Fixed in Version => RR19Q1
2018-12-11 15:25 hgbot Checkin
2018-12-11 15:25 hgbot Note Added: 0108392
2018-12-11 15:25 hgbot Status closed => resolved
2018-12-11 15:25 hgbot Fixed in SCM revision http://code.openbravo.com/retail/api-checks-retail/rev/1553f2a75863560e343f54179ead8494175c1d46 [^] => http://code.openbravo.com/retail/api-checks-retail/rev/49ec9f8d03a5a77f5dd2de3cd7ffac4a35403a2e [^]
2018-12-13 11:59 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker